> For a complete page index, fetch https://developer.close.com/llms.txt # Get an organization's details GET https://api.close.com/api/v1/organization/{id}/ By default, `memberships` and `inactive_memberships` are populated with user data prefixed with `user_`. If you'd rather have a nested `user` field, use a query string like `?_expand=memberships__user,inactive_memberships__user`. Reference: https://developer.close.com/api/resources/organizations/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_expand` (string, optional) ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "created_by": null, "date_created": "2013-02-01T00:54:51.097000+00:00", "date_updated": "2013-02-20T04:38:01.961000+00:00", "id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "inactive_memberships": [], "lead_statuses": [ { "id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "label": "Potential" }, { "id": "stat_2ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "label": "Bad Fit" }, { "id": "stat_3ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk", "label": "Qualified" } ], "memberships": [ { "auto_record_calls": "unset", "id": "memb_wLKueFux8M2u2jshQPichvA5V44hpECtoljWbJS1PeY", "permissions_granted": [ "bulk_edit", "export" ], "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p", "track_email_opens": true, "user_email": "phil+sample@close.com", "user_first_name": "P", "user_full_name": "John Doe", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "user_last_name": "F", "user_phone": "16502822245" }, { "auto_record_calls": "unset", "id": "memb_hLHF3LsUI6N7twH1derRHiHEKeE843ttSYmsun4xkCn", "permissions_granted": [ "bulk_edit", "export" ], "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p", "track_email_opens": true, "user_email": "phil@close.com", "user_first_name": "Phil", "user_full_name": "Phil Freo", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "user_last_name": "Freo", "user_phone": "16502822248" }, { "auto_record_calls": "unset", "id": "memb_I4Tx9tZwz5npqdGtd0baWtjjlpeFf45OBlkAAKcF3Gc", "permissions_granted": [ "bulk_edit", "export" ], "role_id": "role_y6eLquXvRUdmwqi61tsmgCJUU7uGfxaRbDuLoONZL9p", "track_email_opens": true, "user_email": "anthony@close.com", "user_first_name": "Anthony", "user_full_name": "Anthony Nemitz", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "user_last_name": "Nemitz", "user_phone": "16502822249" } ], "name": "Sample Data", "pipelines": [ { "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "date_created": "2019-11-04T11:04:13.014979", "date_updated": "2019-11-13T14:12:13.051542", "id": "pipe_6gV01if4wo7r2YTVQDWP2j", "name": "Sales", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "statuses": [ { "id": "stat_3PB2sedHBCjwuBImAEwgHOo858f2j41lpROkcl51Fzp", "label": "Active", "type": "active" }, { "id": "stat_IOCtLYbAclJ8XAcb3yLUhQA3zlmjtXz8JMBLyXnNMF8", "label": "Won", "type": "won" }, { "id": "stat_3mmBOyMmaG8yc4DmAPp9WmgbjhVctVLlnd9gmvWxBe2", "label": "Lost", "type": "lost" } ], "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ], "plan_type": "lite", "updated_by": null } ``` **SDK Code** ```python organizations_get_example import requests url = "https://api.close.com/api/v1/organization/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript organizations_get_example const url = 'https://api.close.com/api/v1/organization/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go organizations_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/organization/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby organizations_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/organization/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java organizations_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/organization/id/") .basicAuth("", "") .asString(); ``` ```php organizations_get_example request('GET', 'https://api.close.com/api/v1/organization/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp organizations_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/organization/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```